classification
Title: tempfile.py: Fix grammar in docstring, comment typos
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, eric.araujo, modocache, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2014-04-30 10:47 by modocache, last changed 2014-09-26 21:42 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
tempfile.py.patch modocache, 2014-04-30 10:47 review
tempfile-docstring.patch r.david.murray, 2014-05-17 14:04 review
Repositories containing patches
https://bitbucket.org/modocache/cpython/branch/tempfile-docstring-commment-patch
Messages (5)
msg217602 - (view) Author: Brian Gesiak (modocache) * Date: 2014-04-30 10:47
Commit 1: tempfile.py: Fix grammar in docstring
Meaning of "just below" in docstring is unclear; it could mean either
"the interfaces listed immediately below this docstring", or "only
the interfaces listed as safe below". Fix wording to take on the
latter meaning.

Commit 2: tempfile.py: Fix typo in comment: s/hget/get/

---

This is my first patch to CPython, but hopefully not my last! Any and all feedback, such as on patch submission etiquette, is very much appreciated!
msg217763 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-05-02 17:22
Thanks for the report and patch!

I don't really see how "just" can be interpreted as applying to something else than "below", so I'm not sure the wording needs to be changed.

The typo should be fixed.
msg218703 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-05-17 14:04
'below' doesn't make sense at all if you view it via pydoc.  There is only one unsafe function left, mktemp.  Here is an alternate patch that takes advantage of that fact.
msg227028 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-09-18 04:10
The latest patch LGTM.
msg227650 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-26 21:08
New changeset adac8ba7b1b1 by Yury Selivanov in branch '2.7':
tempfile: Fix docstring. Issue #21397, patch by R. David Murray.
https://hg.python.org/cpython/rev/adac8ba7b1b1

New changeset 500d3d6f22ff by Yury Selivanov in branch '3.4':
tempfile: Fix docstring. Issue #21397, patch by R. David Murray.
https://hg.python.org/cpython/rev/500d3d6f22ff

New changeset db17f57c32af by Yury Selivanov in branch 'default':
tempfile: Fix docstring. Issue #21397, patch by R. David Murray.
https://hg.python.org/cpython/rev/db17f57c32af
History
Date User Action Args
2014-09-26 21:42:15berker.peksagsetstage: commit review -> resolved
2014-09-26 21:09:14yselivanovsetstatus: open -> closed
resolution: fixed
2014-09-26 21:08:55python-devsetnosy: + python-dev
messages: + msg227650
2014-09-18 04:10:45berker.peksagsetnosy: + berker.peksag

messages: + msg227028
stage: patch review -> commit review
2014-05-17 14:04:06r.david.murraysetfiles: + tempfile-docstring.patch
nosy: + r.david.murray
messages: + msg218703

2014-05-02 17:22:03eric.araujosetversions: + Python 2.7, Python 3.4
nosy: + eric.araujo

messages: + msg217763

stage: patch review
2014-04-30 10:47:51modocachecreate